
From: Jes Sorensen <jes@wildopensource.com>

Tiny patch to make -mm3 compile on an NUMA box with NR_CPUS >
BITS_PER_LONG.



---

 25-akpm/kernel/sched.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/sched.c~sched-build-fix kernel/sched.c
--- 25/kernel/sched.c~sched-build-fix	Tue Feb 17 16:56:06 2004
+++ 25-akpm/kernel/sched.c	Tue Feb 17 16:56:06 2004
@@ -3279,7 +3279,7 @@ static void __init arch_init_sched_domai
 		for_each_cpu_mask(j, node->cpumask) {
 			struct sched_group *cpu = &sched_group_cpus[j];
 
-			cpu->cpumask = CPU_MASK_NONE;
+			cpus_clear(cpu->cpumask);
 			cpu_set(j, cpu->cpumask);
 
 			printk(KERN_INFO "CPU%d\n", j);
@@ -3335,7 +3335,7 @@ static void __init arch_init_sched_domai
 	for_each_cpu_mask(i, all_cpus) {
 		struct sched_group *cpu = &sched_group_cpus[i];
 
-		cpu->cpumask = CPU_MASK_NONE;
+		cpus_clear(cpu->cpumask);
 		cpu_set(i, cpu->cpumask);
 
 		if (!first_cpu)

_
